Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::G::RecMutex Class Reference

A run-time GStaticRecMutex C++ wrapper interface. More...

`#include <inti/glib/mutex.h>`

Inheritance diagram for Inti::G::RecMutex:

List of all members.

## Public Member Functions

Constructors

- RecMutex (bool lock_mutex=false, unsigned int depth=1)
    Constructs and initializes a new StaticRecMutex.
- ~RecMutex ()
    Destructor; Completely unlocks the mutex if it's locked, and frees it.

## Detailed Description

A run-time GStaticRecMutex C++ wrapper interface.

A RecMutex works like a StaticRecMutex, but it can be constructed and initialized at run-time. The RecMutex constructor calls StaticRecMutex::init() to initialize itself.

## Constructor & Destructor Documentation

Inti::G::RecMutex::RecMutex | ( | bool | lock_mutex = false,
|  | unsigned int | depth = 1
| ) |

  | Constructs and initializes a new StaticRecMutex. Parameters:
  lock_mutex | Whether to lock the mutex at construction time.
  depth | The number of times the mutex has to be unlocked to be completely unlocked.

The documentation for this class was generated from the following file:

- mutex.h

Main Page - Footer